## javax.faces.convert
Interface Converter

All Known Implementing Classes:
  BigDecimalConverter, BigIntegerConverter, BooleanConverter, ByteConverter, CharacterConverter, DateTimeConverter, DoubleConverter, FloatConverter, IntegerConverter, LongConverter, NumberConverter, ShortConverter

public interface Converter

Version:
  $Revision: 169646 $ $Date: 2005-05-11 11:34:57 -0400 (Wed, 11 May 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: grantsmith $)

Method Summary
`java.lang.Object` `getAsObject(FacesContext context, UIComponent component, java.lang.String value)`
`java.lang.String` `getAsString(FacesContext context, UIComponent component, java.lang.Object value)`

Method Detail

### getAsObject

    public java.lang.Object getAsObject(FacesContext context,
                                        UIComponent component,
                                        java.lang.String value)
                                 throws ConverterException

  Throws:
    `ConverterException`

### getAsString

    public java.lang.String getAsString(FacesContext context,
                                        UIComponent component,
                                        java.lang.Object value)
                                 throws ConverterException

  Throws:
    `ConverterException`